Subject: bug#1779: [External] : bug#1779: 23.0.60; proced with variable-pitch header line

From: Drew Adams <[email-masked]>
Date: Wed, 24 Nov 2021 18:51:05 +0000

> I had in mind a bigger change than that.  😀  tabulated-list-mode is
> nice, but there's things about it that makes it less suited to some work
> flows, so I'd like to make a new package for this.
> 
> The main problem is that it wants to own the buffer, and you can only
> have the table in it, and nothing else.

Yes, I've said that many times.  Glad it's finally
sunk in.  That's a sufficient reason that it should
not have been used in things like the bookmark list.
(Even adding it to buffer-menu was a mistake.)

> The other issue is that the
> interface functions are a bit obscure -- you set/manipulate a bunch of
> buffer-local variables, and then call some functions.

A more important weakness of t-l-mode is that it
doesn't support arbitrary sort functions - it
doesn't make it easy to sort other than by an
individual column.  

> I'd like to have a table that's an "object", with well-defined interface
> functions, and which allows you to have many tables in the same buffer,
> and mix with other text, too.
> 
> And with proportional fonts.  😀

To me, t-l-mode is too limited for most real,
useful uses of "tabular" data.  It should never
have been imposed on the bookmark list (I don't
use it in Bookmark+).  And it's useless for
things like Dired (thank goodness).  Maybe the
same for Ibuffer; dunno.